import {Request, Response, NextFunction} from 'express';
import Profile from '../../models/ProfileSchema';

const getUser = () => (req: Request, res: Response, next: NextFunction) =>{
    Profile.findById(req.params.id, (error, profile) => {
        if (!error) {
          res.status(200);
          res.data = {profile};
        } else {
          console.warn(error);
          res.status(400);
        }
        res.json(profile);
      });
}

export default getUser;