import {Request, Response, NextFunction} from 'express';
import Profile from '../../models/ProfileSchema';

const updateUser = () => (req: Request, res: Response, next: NextFunction) => {
    const validFilds = ['studentCardNumber', 'roomNumber', 'picture'];
    Profile.findOne(
        {_id : req.params.id},
        (error, profile) => {
          res.status(400);
          if (error) {
            res.status(400);
              
          } 
          else {
            if(profile){

              validFilds.forEach(fild => {
                const value = req.body[fild]
                if(value)
                  profile.set(fild, value);
              });

              res.status(200);
              profile.save();
              res.data = {profile};
              }
            }
          res.json(profile);
        }
    );
}

export default updateUser;